Öffentliche Preisliste abrufen
curl --request GET \
--url https://api.netzfabrik.com/public/prices/{token}import requests
url = "https://api.netzfabrik.com/public/prices/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.netzfabrik.com/public/prices/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.netzfabrik.com/public/prices/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.netzfabrik.com/public/prices/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.netzfabrik.com/public/prices/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.netzfabrik.com/public/prices/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"label": "<string>",
"template": "<string>",
"currency": "<string>",
"currencies": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"categories": {},
"items": [
{
"tld": "de",
"category": "<string>",
"active": true,
"currency": "EUR",
"price": {
"tld": "<string>",
"currency_code": "<string>",
"item_fee": 123,
"item_fee_gross": 123,
"setup_fee": 123,
"setup_fee_gross": 123,
"transfer_fee": 123,
"transfer_fee_gross": 123,
"renew_fee": 123,
"renew_fee_gross": 123,
"restore_fee": 123,
"restore_fee_gross": 123,
"trade_fee": 123,
"trade_fee_gross": 123,
"category": "<string>"
},
"tldData": {}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Öffentliche Preislisten
Öffentliche Preisliste abrufen
Ohne Anmeldung abrufbar. Liefert die freigegebene Preisliste mit Preisen je TLD in Cent (netto und brutto) und TLD-Metadaten. Filter: tld (kommagetrennt) und category. Die Antwort ist bis zu fünf Minuten cachebar und unterstützt ETag/If-None-Match.
GET
/
public
/
prices
/
{token}
Öffentliche Preisliste abrufen
curl --request GET \
--url https://api.netzfabrik.com/public/prices/{token}import requests
url = "https://api.netzfabrik.com/public/prices/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.netzfabrik.com/public/prices/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.netzfabrik.com/public/prices/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.netzfabrik.com/public/prices/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.netzfabrik.com/public/prices/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.netzfabrik.com/public/prices/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"label": "<string>",
"template": "<string>",
"currency": "<string>",
"currencies": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z",
"categories": {},
"items": [
{
"tld": "de",
"category": "<string>",
"active": true,
"currency": "EUR",
"price": {
"tld": "<string>",
"currency_code": "<string>",
"item_fee": 123,
"item_fee_gross": 123,
"setup_fee": 123,
"setup_fee_gross": 123,
"transfer_fee": 123,
"transfer_fee_gross": 123,
"renew_fee": 123,
"renew_fee_gross": 123,
"restore_fee": 123,
"restore_fee_gross": 123,
"trade_fee": 123,
"trade_fee_gross": 123,
"category": "<string>"
},
"tldData": {}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Was this page helpful?